Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.constants
Interface UUIDs

    public interface UUIDs

List of uuid's used to identify pieces of XDS Metadata

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Field Summary
`static java.lang.String` | `DOC_ENTRY_AUTHOR` IHE assigned UUID for Document Entry Author
`static java.lang.String` | `DOC_ENTRY_CLASS_CODE` IHE assigned UUID for Document Entry Class Code
`static java.lang.String` | `DOC_ENTRY_CONFIDENTIALITY_CODE` IHE assigned UUID for Document Entry Confidentiality Code
`static java.lang.String` | `DOC_ENTRY_EVENT_CODE` IHE assigned UUID for Document Entry Event Code
`static java.lang.String` | `DOC_ENTRY_FORMAT_CODE` IHE assigned UUID for Document Entry Format Code
`static java.lang.String` | `DOC_ENTRY_HEALTY_CARE_FACILITY_CODE` IHE assigned UUID for Document Entry Healthcare Facility Code
`static java.lang.String` | `DOC_ENTRY_OBJECT` IHE assigned UUID for Document Entry Object
`static java.lang.String` | `DOC_ENTRY_PATIENT_IDENTIFICATION_SCHEME` IHE assigned UUID for Document Entry Patient Id
`static java.lang.String` | `DOC_ENTRY_PRACTICE_SETTING_CODE` IHE assigned UUID for Document Entry Practice Setting Code
`static java.lang.String` | `DOC_ENTRY_TYPE_CODE` IHE assigned UUID for Document Type Code
`static java.lang.String` | `DOC_ENTRY_UNIQUE_IDENTIFICATION_SCHEME` IHE assigned UUID for Document Entry Unique Id
`static java.lang.String` | `FOLDER_CODE` IHE assigned UUID for Folder Code
`static java.lang.String` | `FOLDER_OBJECT` IHE assigned UUID for Folder Object
`static java.lang.String` | `FOLDER_PATIENT_IDENTIFICATION_SCHEME` IHE assigned UUID for Folder Patient ID
`static java.lang.String` | `FOLDER_UNIQUE_IDENTIFICATION_SCHEME` IHE assigned UUID for Folder Unique Id
`static java.lang.String` | `HAS_MEMBER` IHE assigned Name for Has Member Association
`static java.lang.String` | `HAS_MEMBER_UUID` IHE assigned UUID for Has Member Association
`static java.lang.String` | `SUBMISSION_SET_CONTENT_TYPE_CODE` IHE assigned UUID for Submission Set Content Type Code
`static java.lang.String` | `SUBMISSION_SET_PATIENT_IDENTIFICATION_SCHEME` IHE assigned UUID for Submission Set Patient Id
`static java.lang.String` | `SUBMISSION_SET_SOURCE_IDENTIFICATION_SCHEME` IHE assigned UUID for Submission Set Source ID
`static java.lang.String` | `SUBMISSION_SET_UNIQUE_IDENTIFICATION_SCHEME` IHE assigned UUID for Submission Set Unique Id
`static java.lang.String` | `SUBMISSON_SET_AUTHOR` IHE assigned UUID for Submission Set author
`static java.lang.String` | `SUBMISSON_SET_OBJECT` IHE assigned UUID for Submission Set Object

Field Detail

### DOC_ENTRY_AUTHOR

    static final java.lang.String DOC_ENTRY_AUTHOR

  IHE assigned UUID for Document Entry Author

  See Also:
    Constant Field Values

### DOC_ENTRY_OBJECT

    static final java.lang.String DOC_ENTRY_OBJECT

  IHE assigned UUID for Document Entry Object

  See Also:
    Constant Field Values

### DOC_ENTRY_CLASS_CODE

    static final java.lang.String DOC_ENTRY_CLASS_CODE

  IHE assigned UUID for Document Entry Class Code

  See Also:
    Constant Field Values

### DOC_ENTRY_CONFIDENTIALITY_CODE

    static final java.lang.String DOC_ENTRY_CONFIDENTIALITY_CODE

  IHE assigned UUID for Document Entry Confidentiality Code

  See Also:
    Constant Field Values

### DOC_ENTRY_EVENT_CODE

    static final java.lang.String DOC_ENTRY_EVENT_CODE

  IHE assigned UUID for Document Entry Event Code

  See Also:
    Constant Field Values

### DOC_ENTRY_FORMAT_CODE

    static final java.lang.String DOC_ENTRY_FORMAT_CODE

  IHE assigned UUID for Document Entry Format Code

  See Also:
    Constant Field Values

### DOC_ENTRY_HEALTY_CARE_FACILITY_CODE

    static final java.lang.String DOC_ENTRY_HEALTY_CARE_FACILITY_CODE

  IHE assigned UUID for Document Entry Healthcare Facility Code

  See Also:
    Constant Field Values

### DOC_ENTRY_PRACTICE_SETTING_CODE

    static final java.lang.String DOC_ENTRY_PRACTICE_SETTING_CODE

  IHE assigned UUID for Document Entry Practice Setting Code

  See Also:
    Constant Field Values

### DOC_ENTRY_TYPE_CODE

    static final java.lang.String DOC_ENTRY_TYPE_CODE

  IHE assigned UUID for Document Type Code

  See Also:
    Constant Field Values

### DOC_ENTRY_UNIQUE_IDENTIFICATION_SCHEME

    static final java.lang.String DOC_ENTRY_UNIQUE_IDENTIFICATION_SCHEME

  IHE assigned UUID for Document Entry Unique Id

  See Also:
    Constant Field Values

### DOC_ENTRY_PATIENT_IDENTIFICATION_SCHEME

    static final java.lang.String DOC_ENTRY_PATIENT_IDENTIFICATION_SCHEME

  IHE assigned UUID for Document Entry Patient Id

  See Also:
    Constant Field Values

### SUBMISSON_SET_AUTHOR

    static final java.lang.String SUBMISSON_SET_AUTHOR

  IHE assigned UUID for Submission Set author

  See Also:
    Constant Field Values

### SUBMISSON_SET_OBJECT

    static final java.lang.String SUBMISSON_SET_OBJECT

  IHE assigned UUID for Submission Set Object

  See Also:
    Constant Field Values

### SUBMISSION_SET_CONTENT_TYPE_CODE

    static final java.lang.String SUBMISSION_SET_CONTENT_TYPE_CODE

  IHE assigned UUID for Submission Set Content Type Code

  See Also:
    Constant Field Values

### SUBMISSION_SET_SOURCE_IDENTIFICATION_SCHEME

    static final java.lang.String SUBMISSION_SET_SOURCE_IDENTIFICATION_SCHEME

  IHE assigned UUID for Submission Set Source ID

  See Also:
    Constant Field Values

### SUBMISSION_SET_UNIQUE_IDENTIFICATION_SCHEME

    static final java.lang.String SUBMISSION_SET_UNIQUE_IDENTIFICATION_SCHEME

  IHE assigned UUID for Submission Set Unique Id

  See Also:
    Constant Field Values

### SUBMISSION_SET_PATIENT_IDENTIFICATION_SCHEME

    static final java.lang.String SUBMISSION_SET_PATIENT_IDENTIFICATION_SCHEME

  IHE assigned UUID for Submission Set Patient Id

  See Also:
    Constant Field Values

### FOLDER_OBJECT

    static final java.lang.String FOLDER_OBJECT

  IHE assigned UUID for Folder Object

  See Also:
    Constant Field Values

### FOLDER_CODE

    static final java.lang.String FOLDER_CODE

  IHE assigned UUID for Folder Code

  See Also:
    Constant Field Values

### FOLDER_UNIQUE_IDENTIFICATION_SCHEME

    static final java.lang.String FOLDER_UNIQUE_IDENTIFICATION_SCHEME

  IHE assigned UUID for Folder Unique Id

  See Also:
    Constant Field Values

### FOLDER_PATIENT_IDENTIFICATION_SCHEME

    static final java.lang.String FOLDER_PATIENT_IDENTIFICATION_SCHEME

  IHE assigned UUID for Folder Patient ID

  See Also:
    Constant Field Values

### HAS_MEMBER

    static final java.lang.String HAS_MEMBER

  IHE assigned Name for Has Member Association

  See Also:
    Constant Field Values

### HAS_MEMBER_UUID

    static final java.lang.String HAS_MEMBER_UUID

  IHE assigned UUID for Has Member Association

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD